### php.java.script

# Class PhpScriptWriter

- `java.lang.Object`

- `java.io.Writer`

- `java.io.PrintWriter`

- `php.java.script.PhpScriptWriter`

`public class PhpScriptWriter`
`extends java.io.PrintWriter`

A PrintWriter backed by an OutputStream.

Author:
  jostb

## Constructor Summary

`PhpScriptWriter(java.io.OutputStream out)`
  Create a new PhpScriptWriter.

## Method Summary

`java.io.OutputStream`

`getOutputStream()`
  Returns the OutputStream.

### Methods inherited from class java.io.PrintWriter

`checkError`, `close`, `flush`, `print`, `print`, `print`, `print`, `print`, `print`, `print`, `print`, `print`, `println`, `println`, `println`, `println`, `println`, `println`, `println`, `println`, `println`, `println`, `write`, `write`, `write`, `write`, `write`

### Methods inherited from class java.io.Writer

`close`, `flush`, `write`, `write`, `write`, `write`, `write`

### Methods inherited from class java.lang.Object

`equals`, `getClass`, `hashCode`, `notify`, `notifyAll`, `toString`, `wait`, `wait`, `wait`

## Constructor Details

### PhpScriptWriter

    public PhpScriptWriter(java.io.OutputStream out)

> Create a new PhpScriptWriter.

> Parameters:
>   `out` - The OutputStream

## Method Details

### getOutputStream

    public java.io.OutputStream getOutputStream()

> Returns the OutputStream.

> Returns:
>   The OutputStream.